Bug 1434317 - Some buttons miss mnemonic character in nm-connection-editor tool
Summary: Some buttons miss mnemonic character in nm-connection-editor tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: sushil kulkarni
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-21 09:27 UTC by mxie@redhat.com
Modified: 2017-08-01 09:24 UTC (History)
15 users (show)

Fixed In Version: network-manager-applet-1.8.0-0.1.git20170326.f260f8a.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:24:38 UTC


Attachments (Terms of Use)
create (125.99 KB, image/jpeg)
2017-03-21 09:27 UTC, mxie@redhat.com
no flags Details
DCB (167.40 KB, image/jpeg)
2017-03-21 09:30 UTC, mxie@redhat.com
no flags Details
[patch] c-e: add mnemonic short-cuts to dialogs (2.25 KB, patch)
2017-03-21 17:57 UTC, Thomas Haller
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC
Red Hat Bugzilla 1379289 None None None Never

Internal Links: 1379289

Description mxie@redhat.com 2017-03-21 09:27:30 UTC
Created attachment 1264952 [details]
create

Description of problem:
Some buttons miss mnemonic character in nm-connection-editor tool

Version-Release number of selected component (if applicable):
nm-connection-editor-1.4.0-2.el7.x86_64
virt-p2v-1.36.2-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Making virt-p2v bootable usb key via virt-p2v-make-disk command
# virt-p2v-make-disk -o /dev/sdb rhel-7.3

2.Insert the p2v bootable usb key into the machine and then boot the machine into p2v client

3.Checking the mnemonic characters for configure network part at p2v client and found below buttons miss mnemonic character

3.1 At inputting v2v conversion server info interface-> configure network-> add -> type 'alt' keyboard-> found create button has no mnemonic character, pls refer to screenshot 'create'

3.2 At inputting v2v conversion server info interface-> configure network-> select one network, such as 'eth0' -> edit-> select 'DCB' option-> type 'alt' keyboard-> found 'Use 802.1X ..' option has no mnemonic character, pls refer to screenshot 'DCB'


Actual results:
As above description

Expected results:
All buttons have mnemonic character in nm-connection-editor tool

Additional info:
File this bug after confirming with dev, pls refer to https://bugzilla.redhat.com/show_bug.cgi?id=1379289#c10

Comment 2 mxie@redhat.com 2017-03-21 09:30:16 UTC
Created attachment 1264953 [details]
DCB

Comment 3 Thomas Haller 2017-03-21 17:56:41 UTC
do you also expect short-cuts for all the DCB related settings? They currently don't have them, but are navigatable using TAB.

Comment 4 Thomas Haller 2017-03-21 17:57:35 UTC
Created attachment 1265187 [details]
[patch] c-e: add mnemonic short-cuts to dialogs

Comment 5 Thomas Haller 2017-03-22 11:27:09 UTC
(In reply to Thomas Haller from comment #4)
> Created attachment 1265187 [details]
> [patch] c-e: add mnemonic short-cuts to dialogs

merged upstream: https://git.gnome.org/browse/network-manager-applet/commit/?id=0f34662726d9a87b9c0e63896f5ece8cabd1336d

Comment 7 Vladimir Benes 2017-05-22 14:00:41 UTC
Create connection is available via alt+r
DCB can be switched on/off via alt+u

Comment 8 errata-xmlrpc 2017-08-01 09:24:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.